%define fname   sfml

%define major   2
%define libname   %mklibname %{fname} %{major}
%define develname %mklibname %{name} -d

Summary:    Multimedia C++ API providing access to graphics, input, audio, etc
Name:       sfml2
Version:    2.1
Release:    %mkrel 5
URL:        http://www.sfml-dev.org/
License:    zlib/png license
Group:      Development/C++
Source0:    http://www.sfml-dev.org/download/sfml/%{version}/SFML-%{version}-sources.zip
Patch0:     SFML-2.1-parallel-install.patch
Patch1:     SFML-2.1-mga-glxcontextid.patch
BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  doxygen
BuildRequires:  mesagl-devel
BuildRequires:  mesaglu-devel
BuildRequires:  libglew-devel
BuildRequires:  libjpeg-devel
BuildRequires:  freetype2-devel
BuildRequires:  libx11-devel
BuildRequires:  libxrandr-devel
BuildRequires:  openal-devel
BuildRequires:  sndfile-devel

%description
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

SFML is composed of several packages to perfectly suit your needs.
You can use SFML as a minimal windowing system to interface with OpenGL,
or as a fully-featured multimedia library for building games or
interactive programs.


%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Conflicts:  %{_lib}sfml2.0_0 < 2.0-2
Obsoletes:  %{_lib}sfml22-devel < 2.1-2

%description -n %{develname}
Includes files for developing programs based on %{name}


%package -n %{libname}
Summary:    Dynamic libraries from %{name}
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}
Obsoletes:  %{_lib}sfml2.0_0 < 2.0-2

%description -n %{libname}
Dynamic libraries from %{name}.


%package docs
Summary:    Generated API documentation for %{name}
Group:      Documentation
BuildArch:  noarch

%description docs
This package contains the generated API documentation for %{name}
version %{version}.

%prep
%setup -q -n SFML-%{version}
%apply_patches
# fixup non needed executable permission on regular files
find -type f -print0 | xargs -0 chmod -x

# fixup files line endings
dos2unix license.txt readme.txt
dos2unix examples/*/*/*
dos2unix examples/*/*
dos2unix examples/*
dos2unix include/SFML/*/*
dos2unix include/SFML/*

# make sure we do not use any stuff from there
rm -rf extlibs/

%build
%cmake
%make

pushd ../doc
  sed doxyfile.in \
    -e s/@DOXYGEN_INPUT_DIR@/../g \
    -e s/@.*@//g > doxyfile
  doxygen -w html header.htm footer.htm doxygen.css doxyfile
  doxygen
popd

%install
rm -rf %{buildroot}
%makeinstall_std -C build 

# Make parallel installable with 1.6, pkg-config files are adjusted likewise
# by patch0, so apps properly using pkg-config, won't notice any difference
mkdir %{buildroot}%{_includedir}/SFML2
mv %{buildroot}%{_includedir}/SFML \
 %{buildroot}%{_includedir}/SFML2
pushd %{buildroot}%{_libdir}
for i in libsfml-*.so; do
 mv $i $(echo $i | sed 's/.so/-%{version}.so/')
done
popd

%files -n %{libname}
%doc readme.txt license.txt
%{_libdir}/libsfml-*.so.%{major}
%{_libdir}/libsfml-*.so.%{major}.*

%files -n %{develname}
%doc examples/
%{_includedir}/SFML2
%{_libdir}/*.so
%{_libdir}/pkgconfig/sfml-*.pc
%{_datadir}/SFML/cmake
%{_datadir}/SFML/*.txt

%files docs
%doc doc/html


%changelog
* Thu Jan 02 2014 danf <danf> 2.1-5.mga4
+ Revision: 563941
- Added glxcontextid.patch to add missing typedef

  + blue_prawn <blue_prawn>
    - rebuild to check issue with glxext.h reported by Pascal Terjan

* Sat Oct 19 2013 umeabot <umeabot> 2.1-4.mga4
+ Revision: 533613
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 blue_prawn <blue_prawn> 2.1-3.mga4
+ Revision: 474085
- build requires doxygen
- added doxygen generated API documentation

* Tue Aug 13 2013 wally <wally> 2.1-2.mga4
+ Revision: 466217
- fix devel pkg name
- add more strict provides and requires

* Thu Aug 08 2013 blue_prawn <blue_prawn> 2.1-1.mga4
+ Revision: 464698
- updated to last version 2.1

* Fri Jul 26 2013 sander85 <sander85> 2.0-5.mga4
+ Revision: 458678
- Rebuild for new glew

* Wed Jun 05 2013 neoclust <neoclust> 2.0-4.mga4
+ Revision: 437476
- Add fedora patch to make sfml2 and sfml co installable

* Mon Jun 03 2013 neoclust <neoclust> 2.0-3.mga4
+ Revision: 435920
- Fix devel package name

* Mon Jun 03 2013 fwang <fwang> 2.0-2.mga4
+ Revision: 435489
- correct libname

* Tue May 07 2013 blue_prawn <blue_prawn> 2.0-1.mga4
+ Revision: 412443
- build requires libjpeg
- build requires glew
- build requires cmake
- imported package sfml2

